summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:17:55 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:40 +0000
commitd29192ad3f499bd09da0e811d03f60d6a7aa6476 (patch)
treec921b41850947fd8bdc9443e69c27210badd8517 /coin/provisioning
parentca89bec297612752a7f9c6015f236631e1401e92 (diff)
Add set -ex to provisioning scripts for openSUSE-42.3
Change-Id: I71fb0074bc07ce3085401ac23be77ea32e52dcfa Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/002-zypperpackages.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/008-pythondev.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/009-cmake.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/018-icc.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh2
-rw-r--r--coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh3
7 files changed, 13 insertions, 3 deletions
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
index 4b2f2546..d01ed9e9 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e
+set -ex
BASEDIR=$(dirname "$0")
source $BASEDIR/../common/network_test_server_ip.txt
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/002-zypperpackages.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/002-zypperpackages.sh
index 132b3361..b8495402 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/002-zypperpackages.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/002-zypperpackages.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e
+set -ex
sudo zypper -nq install git
# default compiler, gcc 4.8.5
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/008-pythondev.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/008-pythondev.sh
index d8874561..1105d303 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/008-pythondev.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/008-pythondev.sh
@@ -2,6 +2,8 @@
# provides: python development libraries
# version: provided by default Linux distribution repository
# needed to build pyside
+set -ex
+
sudo zypper -nq install python-devel python-virtualenv
# install python3
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/009-cmake.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/009-cmake.sh
index d10bc06d..f1f2d5bd 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/009-cmake.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/009-cmake.sh
@@ -1,2 +1,5 @@
#!/usr/bin/env bash
+
+set -ex
+
$(dirname $0)/../common/cmake_linux.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/018-icc.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/018-icc.sh
index 15b46aef..01e1291c 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/018-icc.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/018-icc.sh
@@ -37,7 +37,7 @@
source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
-set -e
+set -ex
mainStorage="ci-files01-hki.intra.qt.io:/hdd/www/input"
localMount="/mnt/storage/"
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh
index abbda212..f0e0f19c 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
. $BASEDIR/../common/sw_versions.txt
VERSION=$libclang_version
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh
index ce0badc0..51516380 100644
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh
@@ -1,6 +1,9 @@
# provides: python development libraries
# version: provided by default Linux distribution repository
# needed to build pyside
+
+set -ex
+
sudo pkcon -y refresh
sudo pkcon -y install python-devel python-virtualenv